Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.lookup
Class DateLookup

    java.lang.Object
      org.apache.logging.log4j.core.lookup.DateLookup

All Implemented Interfaces:
  StrLookup

    @Plugin(name="date",
            category="Lookup")
    public class DateLookup

extends Object
implements StrLookup

Formats the current date or the date in the LogEvent. The "key" is used as the format String.

Field Summary

Fields inherited from interface org.apache.logging.log4j.core.lookup.StrLookup
`CATEGORY`

Constructor Summary
`DateLookup()`

Method Summary
`String` | `lookup(LogEvent event, String key)` Looks up the value of the environment variable.
`String` | `lookup(String key)` Looks up the value of the environment variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateLookup

    public DateLookup()

Method Detail

### lookup

    public String lookup(String key)

  Looks up the value of the environment variable.

  Specified by:
    `lookup` in interface `StrLookup`
  Parameters:
    `key` - the format to use. If null, the default DateFormat will be used.
  Returns:
    The value of the environment variable.

### lookup

    public String lookup(LogEvent event,
                         String key)

  Looks up the value of the environment variable.

  Specified by:
    `lookup` in interface `StrLookup`
  Parameters:
    `event` - The current LogEvent (is ignored by this StrLookup).
    `key` - the format to use. If null, the default DateFormat will be used.
  Returns:
    The value of the environment variable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.